QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    comdel/display/component_display.cpp \
    comdel/display/library_display.cpp \
    comdel/display/schema_display.cpp \
    comdel/domain/addressspace.cpp \
    comdel/domain/attribute.cpp \
    comdel/domain/bus.cpp \
    comdel/domain/schemacreator.cpp \
    comdel/domain/component.cpp \
    comdel/domain/connection.cpp \
    comdel/domain/comdelvalidator.cpp \
    comdel/domain/connectioninstance.cpp \
    comdel/domain/display.cpp \
    comdel/domain/functionsignature.cpp \
    comdel/domain/instance.cpp \
    comdel/domain/instanceattribute.cpp \
    comdel/domain/library.cpp \
    comdel/domain/pin.cpp \
    comdel/domain/rule.cpp \
    comdel/domain/schema.cpp \
    comdel/domain/value.cpp \
    comdel/domain/wireinstance.cpp \
    comdel/parser/astnode.cpp \
    comdel/parser/comdellexer.cpp \
    comdel/parser/comdelparser.cpp \
    comdel/parser/parsecontext.cpp \
    comdel/parser/parserutil.cpp \
    comdel/parser/sourceerror.cpp \
    comdel/parser/token.cpp \
    comdel/parser/tokenstype.cpp \
    main.cpp \
    mainwindow.cpp

HEADERS += \
    comdel/display/component_display.h \
    comdel/display/library_display.h \
    comdel/display/schema_display.h \
    comdel/domain/addressspace.h \
    comdel/domain/attribute.h \
    comdel/domain/bus.h \
    comdel/domain/schemacreator.h \
    comdel/domain/component.h \
    comdel/domain/connection.h \
    comdel/domain/comdelvalidator.h \
    comdel/domain/connectioninstance.h \
    comdel/domain/display.h \
    comdel/domain/functionsignature.h \
    comdel/domain/instance.h \
    comdel/domain/instanceattribute.h \
    comdel/domain/library.h \
    comdel/domain/pin.h \
    comdel/domain/rule.h \
    comdel/domain/schema.h \
    comdel/domain/value.h \
    comdel/domain/wireinstance.h \
    comdel/parser/astnode.h \
    comdel/parser/comdellexer.h \
    comdel/parser/comdelparser.h \
    comdel/parser/expected.h \
    comdel/parser/parsecontext.h \
    comdel/parser/parserutil.h \
    comdel/parser/poly.h \
    comdel/parser/presult.h \
    comdel/parser/sourceerror.h \
    comdel/parser/token.h \
    comdel/parser/tokenstype.h \
    mainwindow.h

FORMS += \
    mainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
