#ifndef DOMAIN_ADDRESS_SPACE_H
#define DOMAIN_ADDRESS_SPACE_H

#include <string>

namespace domain {

class AddressSpace
{
    std::string name;
    long long start;
    long long end;

public:
    AddressSpace(std::string name, long long start, long long end);

    std::string getName();
    long long getStart();
    long long getEnd();

    bool contains(long long int address);
    bool contains(long long int start, long long int end);
};

} // namespace domain

#endif // DOMAIN_ADDRESS_SPACE_H
