#ifndef DISPLAY_LIBRARY_H
#define DISPLAY_LIBRARY_H

#include <QListWidget>
#include <QWidget>

#include <comdel/domain/library.h>

namespace display {

class Library: public QWidget
{
public:
    Library();

    void setLibrary(std::optional<domain::Library> library);

private:
    std::optional<domain::Library> library;

    QListWidget *componentList;
    QListWidget *busList;

};

} // namespace display

#endif // DISPLAY_LIBRARY_H
