#include "instance.h"

namespace domain {


Instance::Instance(std::string name, std::vector<InstanceAttribute*> attributes, std::pair<int, int> position)
    : name(name), attributes(attributes), position(position)
{}
BusInstance::BusInstance(std::string name, std::pair<int, int> position, Bus bus, int size)
    : Instance(name, vector<InstanceAttribute*>(), position), bus(bus), size(size)
{}
ComponentInstance::ComponentInstance(std::string name, std::vector<InstanceAttribute*> attributes, std::pair<int, int> position, Component component)
    : Instance(name, attributes, position), component(component)
{}


} // namespace domain
